$(function() {
	$('.gnavi-menu-item,.gnavi-submenu-item').each(function() {
		$(this).mouseover(function() {
			$(this).addClass('active');
		}).mouseout(function() {
			$(this).removeClass('active');
		});
	});
	$('.gnavi-submenu').each(function() {
		$(this).siblings('.gnavi-menu-item').click(function(e) {
			e.stopPropagation();
			$(this).addClass('selected').siblings('.gnavi-submenu').fadeIn(100);
			setTimeout(function() {
				$(document).click(function() {
					$(document).unbind('click');
					$('.gnavi-submenu').fadeOut(200).siblings('.gnavi-menu-item').removeClass('selected');
				});
			}, 0);
			return false;
		});
	});
});
